[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: ntpd autoreconf question (FreeBSD)...

From: Harlan Stenn
Subject: Re: ntpd autoreconf question (FreeBSD)...
Date: Wed, 25 Jul 2007 17:44:07 +0000


> Hi!  I write to you directly because I have a problem that, searching 
> through Google, you posted to the autoconf mailing list with the same 
> problem...but the solution itself was not posted.

OK, and I'm adding address@hidden to my response.

> You had a problem in which you had to run autoreconf in order to do 
> something with ntpd.  However, you were getting errors like this:
> possibly undefined macro: AC_PROG_LIBTOOL
> possibly undefined macro: AC_DISABLE_SHARED
> How did you solve this problem?

Best I can remember I added a -I/path/to/libtool/automacros/ to the
ACLOCAL flags on the machine that gives me this problem.

And it makes no sense to me why this should be needed - from my POV
automake, autoconf, and libtool should know how to play nice together
but libtool has problems in this regard way too often.

A long time ago the folks who wrote a ports
system (I think they were at had a patch to (near as I can
remember) add a new environment variable to aclocal so one could easily
support multiple installed versions of libtool.  I tried to get that
patch accepted into the mainstream auto* codebase but was unsuccessful.

> I have the same problem under FreeBSD, and `autoreconf -fv` gives me the 
> same results that you were getting.  I have a slightly modified (but 
> separate) NMEA driver that I developed under Linux and brought with me 
> in a full migration to FreeBSD (6.2-RELEASE).  One by one, I've upgraded 
> most of what seems to be the relevant toolchain, except perhaps for make 
> itself, with no luck.
> BTW, to run autoreconf on any of the unpatched ntp-dev-4.2.5p5[789] 
> distributions causes the same result.

Also note that while we are still shipping ntp releases using 2.59 and
1.9.whatever, I am using 2.61 and 1.10 internally on several machines.
I think I'll be cutting over to 2.61 and 1.10 as soon as I release
ntp-4.2.6 (expected in about another month or so).


reply via email to

[Prev in Thread] Current Thread [Next in Thread]